EDIT - feature request #4155

Implement handler (IHandler) to trigger recursive setting of the publish bit on a taxon subtree
03/24/2014 02:52 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal

Description

see http://wiki.eclipse.org/Platform_Command_Framework#Executing_a_command_with_parameters

1. the handler will be registered in the taxeditor-git/eu.etaxonomy.taxeditor.store/plugin.xml
2. secure the handler by making use of the expression definition hasROLE_PUBLISH
3. create an according command in taxeditor-git/eu.etaxonomy.taxeditor.store/plugin.xml

4. create a menu contribution for the TaxonNavigator context menu and secure this one by making use of the expression definition
canUPDATE whereas the currently selected TaxonNodes should be taken into account for this check.

requires #3740 (Allow recursively setting the publish bit for TaxonBase) to be solved

Related issues:

Related to EDIT - feature request #6315: Implement setSecundumForSubtree in T... Closed
Blocked by EDIT - feature request #3740: Allow recursively setting the publis... Closed
Copied to EDIT - feature request #7065: When updating a subtree the affected ... Closed

Associated revisions

Revision 1a6¢4078 - 10/11/2017 10:36 AM - Katja Luther

enable setPublishFlagForSubtree in edior

Revision 09cef664 - 10/18/2017 12:04 PM - Katja Luther

save updated taxa/synonyms in setPublishedFlag

Revision dfa80bce - 10/18/2017 12:59 PM - Katja Luther

setPublishFlag needs to be transactional

Revision 6a3a26fb - 10/18/2017 01:13 PM - Katja Luther
revert saveOrUpdate adding

Revision 7d3b42ec - 10/19/2017 02:05 PM - Katja Luther
ref #4155: adaptions in setPublishForSubTree config wizard

History

#1 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#2 - 07/16/2015 03:04 PM - Andreas Miuller

- Target version changed from Euro+Med Migration to Euro+Med Portal Release

#3 - 06/21/2016 11:24 AM - Andreas Miiller

- Target version changed from Euro+Med Portal Release to Euro+Med Migration
#4 - 09/13/2017 02:41 PM - Andreas Miiller

- Tracker changed from task to feature request

- Description updated

- Assignee changed from Matus Kempa to Katja Luther
- Priority changed from New to Highest

- Target version changed from Euro+Med Migration to Release 4.11

#5 - 09/14/2017 12:01 AM - Andreas Miiller
- Blocked by feature request #3740: Allow recursively setting the publish bit for TaxonBase added

#6 - 09/14/2017 12:02 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.10

#7 - 09/22/2017 06:35 PM - Andreas Miiller

- Related to feature request #6315: Implement setSecundumForSubtree in TaxEditor added

#8 - 09/22/2017 06:38 PM - Andreas Miiller

- Subject changed from implement handler (IHandler) to trigger recursive setting of the publish bit on a whole calssification branch to Implement
handler (IHandler) to trigger recursive setting of the publish bit on a taxon subtree

The blocking ticket is now fixed so we can now start implementing this

#9 - 09/22/2017 06:50 PM - Andreas Miuller

- Private changed from Yes to No

#10 - 09/24/2017 04:58 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#11 - 10/18/2017 01:06 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#12 - 10/18/2017 10:19 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

¢ Is it possible to try to update existing values for open taxa (in name editor or elsewhere). This might be a general issue, however, somehow it is
irritating, to run the operation and see the value not changing in the currently opened taxon.
Or alternatively we could require to close all affected taxa, but this requires that we know which taxa are potentially affected, maybe we need a
separate service method for this.

#13 - 11/07/2017 12:18 PM - Katja Luther
- Status changed from Feedback to Closed

close this ticket and create a new one for implementing a service method that returns the affected taxon nodes which should be closed in name editor
(#7065)

#14 - 11/07/2017 12:41 PM - Andreas Miiller

- Copied to feature request #7065: When updating a subtree the affected and opened taxa are not updated in name editor this needs to be handled
